# Read build manifest

Read the immutable manifest of regular output files and their SHA-256 hashes. Returns 409 until ready.

`GET /api/platform/v1/apps/{appId}/builds/{buildId}/manifest`

Required permission: `project:read`.

## Parameters

| Name | In | Type | Required | Description |

| --- | --- | --- | --- | --- |

| `appId` | path | `string` | Yes | — |

| `buildId` | path | `string` | Yes | — |

## Example request

```bash
curl --request GET \
  --url https://api.hoplite.sh/api/platform/v1/apps/appId/builds/buildId/manifest \
  --header "X-Api-Key: $HOPLITE_API_KEY"
```

## 200 response

Success

Content type: `application/json`. Response type: `object`.

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `version` | `number` | Yes | 1 | — |
| `sourceId` | `string` | Yes | — | — |
| `files` | `object[]` | Yes | max 10000 items | — |
| `files.path` | `string` | Yes | — | — |
| `files.sha256` | `string` | Yes | — | — |
| `files.byteSize` | `integer` | Yes | min 0, max 9007199254740991 | — |
| `files.executable` | `boolean` | Yes | — | — |

```json

```

## Status codes

- `200` — Success

- `400` — Invalid request

- `401` — Authentication required

- `403` — Permission, app scope or entitlement denied

- `404` — App, source or thread not found

- `409` — Idempotency conflict or request in progress

- `413` — Request too large

- `503` — Source storage or execution unavailable